export declare class TunnelOptions {
    agent?: string;
    username: string;
    privateKey: any;
    host: string;
    dstHost: string;
    localHost: string;
    port?: number;
    dstPort?: number;
    localPort?: number;
}
export declare class Environment {
    private static readonly CURRENT_ENVIRONMENT;
    private static readonly PRODUCTION;
    private static readonly DEVELOP;
    private static readonly TEST;
    private static readonly DEFAULT_REGION;
    static getAwsRegion(): string;
    static getEnvironment(): string;
    static isLocal(): boolean;
    static isRemote(): boolean;
    static isDevelop(): boolean;
    static isTest(): boolean;
    static isProduction(): boolean;
    static configureTunnel(sshTunnelConfig: TunnelOptions): Promise<void>;
}
